Bug 222418 - Enscript creates the output PostScript document text conforming at level 3.0 even after specifying to use level 1.0 or level 2.0 of the PostScript document text
Enscript creates the output PostScript document text conforming at level 3.0 ...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: enscript (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-12 06:15 EST by Jan Lieskovsky
Modified: 2015-01-07 19:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-31 10:33:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2007-01-12 06:15:25 EST
Description of problem:
In the man pages by description of "--ps-level" can be found, that there
exists two possible values ("1" and "2") for this option. But after 
using each of them, the resulting output PostScript document is 
conforming at level 3.0 no matter which of the options is used.

Version-Release number of selected component (if applicable):
enscript-1.6.1-28.3.* and higher

How reproducible:
Always

Steps to Reproduce:
1. enscript --ps-level=1 -o lev1.ps fileIn (
or enscript --ps-level=2 -o lev2.ps fileIn)
2.
3.
  
Actual results:
file lev1.out
lev1.out: PostScript document text conforming at level 3.0

file lev2.out
lev2.out: PostScript document text conforming at level 3.0


Expected results:
The created output PostScript document text files should be in
apropriate PS level. Or they can be left to be in PS level 3.0, 
but in this case the command line option "--ps-level" should be
removed from options list accepted by the "enscript" command and
from the man pages from "enscript" to stop mystify the user. 


Additional info:
Comment 2 Adam Tkac 2007-01-31 10:33:38 EST
After discussion with jlieskov@redhat.com closing as notabug

Note You need to log in before you can comment on or make changes to this bug.